package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户消息通知对象 sys_user_notification
 * 
 * @author haotian
 * @date 2024-12-02
 */
public class SysUserNotification extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 接收消息的用户ID */
    @Excel(name = "接收消息的用户ID")
    private Long userId;

    /** 发送消息的用户ID */
    @Excel(name = "发送消息的用户ID")
    private Long senderId;

    /** 消息类型（1关注 */
    @Excel(name = "消息类型", readConverterExp = "消息类型（1关注")
    private String type;

    /** 相关目标ID */
    @Excel(name = "相关目标ID")
    private Long targetId;

    /** 目标类型（1帖子 */
    @Excel(name = "目标类型", readConverterExp = "目标类型（1帖子")
    private String targetType;

    /** 状态（0未读 */
    @Excel(name = "状态", readConverterExp = "状态（0未读")
    private String status;

    // 消息详情
    private String detail;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setSenderId(Long senderId) 
    {
        this.senderId = senderId;
    }

    public Long getSenderId() 
    {
        return senderId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setTargetId(Long targetId) 
    {
        this.targetId = targetId;
    }

    public Long getTargetId() 
    {
        return targetId;
    }
    public void setTargetType(String targetType) 
    {
        this.targetType = targetType;
    }

    public String getTargetType() 
    {
        return targetType;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public String getDetail() {
		return detail;
	}

    public void setDetail(String detail) {
		this.detail = detail;
	}

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("senderId", getSenderId())
            .append("type", getType())
            .append("targetId", getTargetId())
            .append("targetType", getTargetType())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
                .append("detail", getDetail())
            .toString();
    }
}
